Event FunnelFunnel Analysis

Funnel Analysis

Analyze event funnel performance

curl -X POST "https://api.nexus.usehardal.com/analytics/funnel/events?timeframe=today&startDate=example_string&endDate=example_string&timezone=example_string&targetSignalId=example_string&isCompareEnabled=false&compareStartDate=example_string&compareEndDate=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
  "funnelEvents": [
    "example_string"
  ],
  "category": "browser",
  "secondaryCategory": "browser",
  "hostname": "John Doe",
  "browser": "example_string",
  "os": "example_string",
  "device": "example_string",
  "country": "USA",
  "city": "New York",
  "url": "example_string",
  "source": "example_string",
  "medium": "example_string",
  "campaign": "example_string"
}'
{}
POST
/analytics/funnel/events
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: Authorization)
Authorizationstring
Required

API key (sent in header)

query
timeframestring

Preset timeframe. Use custom with startDate and endDate, or omit when startDate/endDate are provided.

Options: today, yesterday, last7days, last30days, custom
query
startDatestring

Start date (YYYY-MM-DD)

query
endDatestring

End date (YYYY-MM-DD)

query
timezonestring

Timezone for date filtering (default: Europe/Istanbul)

query
targetSignalIdstring

Target signal ID for an authorized mobile app or related signal in the same project

query
isCompareEnabledstring

Enable comparison range calculations (default: false)

query
compareStartDatestring

Comparison start date (YYYY-MM-DD)

query
compareEndDatestring

Comparison end date (YYYY-MM-DD)

Content-Typestring
Required

The media type of the request body

Options: application/json, multipart/form-data, text/plain
funnelEventsarray
Required

List of funnel events

categorystring

Category to group funnel data by (e.g., device, browser, country)

Options: browser, os, device, country, city, source, medium, campaign
secondaryCategorystring

Secondary category to group funnel data by (e.g., device, browser, country)

Options: browser, os, device, country, city, source, medium, campaign
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

API Key for authentication. Provide your API key in the header.

Query Parameters

timeframestring

Preset timeframe. Use custom with startDate and endDate, or omit when startDate/endDate are provided.

Allowed values:todayyesterdaylast7dayslast30dayscustom
startDatestring

Start date (YYYY-MM-DD)

endDatestring

End date (YYYY-MM-DD)

timezonestring

Timezone for date filtering (default: Europe/Istanbul)

targetSignalIdstring

Target signal ID for an authorized mobile app or related signal in the same project

isCompareEnabledstring

Enable comparison range calculations (default: false)

compareStartDatestring

Comparison start date (YYYY-MM-DD)

compareEndDatestring

Comparison end date (YYYY-MM-DD)

Body

funnelEventsarray
Required

List of funnel events

categorystring

Category to group funnel data by (e.g., device, browser, country)

Allowed values:browserosdevicecountrycitysourcemediumcampaign
secondaryCategorystring

Secondary category to group funnel data by (e.g., device, browser, country)

Allowed values:browserosdevicecountrycitysourcemediumcampaign

Responses

200 response